Summary: The GNU Scientific Library for numerical analysis
Name: gsl
Version: 2.7.1
Release: 7%{?dist}
License: GPLv3+
URL: http://www.gnu.org/software/gsl/
Source: http://ftp.gnu.org/gnu/gsl/%{name}-%{version}.tar.gz
Patch3000: gsl-1.10-lib64.patch
Patch3001: gsl-tol.patch
Patch3002: gsl-test.patch
# reference: https://sources.debian.org/src/gsl/2.8+dfsg-5/debian/patches/n_tries_positive_in_siman/
Patch3003: CVE-2024-50610.patch
BuildRequires: make gcc
BuildRequires: pkgconfig

%description
The GNU Scientific Library (GSL) is a collection of numerical analysis routines written in C.

%package devel
Summary: Libraries and the header files for GSL development
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: automake

%description devel
This package provides the header files for developing programs using the GSL.

%prep
%autosetup -p1

iconv -f windows-1252 -t utf-8 THANKS  > THANKS.aux
touch -r THANKS THANKS.aux
mv THANKS.aux THANKS

%build
%ifarch aarch64 ppc64le
export CFLAGS="%{optflags} -ffp-contract=off"
%endif

%configure
%make_build

%install
%make_install

rm -rf %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_libdir}/*.la
rm -r %{buildroot}%{_libdir}/*.a

%check
make check || ( cat */test-suite.log && exit 1 )

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/gsl-histogram
%{_bindir}/gsl-randist
%{_libdir}/libgsl.so.27*
%{_libdir}/libgslcblas.so.0*
%{_mandir}/man1/gsl-histogram.1*
%{_mandir}/man1/gsl-randist.1*

%files devel
%{_bindir}/gsl-config
%{_includedir}/gsl/
%{_libdir}/libgsl.so
%{_libdir}/libgslcblas.so
%{_libdir}/pkgconfig/gsl.pc
%{_infodir}/gsl-ref.info*
%{_datadir}/aclocal/gsl.m4
%{_mandir}/man1/gsl-config.1*
%{_mandir}/man3/gsl.3*

%changelog
* Mon Apr 21 2025 Miaojun Dong <zoedong@tencent.com> - 2.7.1-7
- Fix CVE-2024-50610

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 Wang Guodong <gordonwwang@tencent.com> - 2.7.1-1
- package init.
